org.h2.engine

## Class GeneratedKeysMode

- java.lang.Object
- - org.h2.engine.GeneratedKeysMode

-     public final class GeneratedKeysMode
      extends java.lang.Object

  Modes of generated keys' gathering.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `AUTO` Generated keys should be configured automatically.
    `static int` | `COLUMN_NAMES` Use specified column names to return generated keys from.
    `static int` | `COLUMN_NUMBERS` Use specified column indices to return generated keys from.
    `static int` | `NONE` Generated keys are not needed.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `valueOf(java.lang.Object generatedKeysRequest)` Determines mode of generated keys' gathering.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NONE

          public static final int NONE

      Generated keys are not needed.
      See Also:
        Constant Field Values

    - #### AUTO

          public static final int AUTO

      Generated keys should be configured automatically.
      See Also:
        Constant Field Values

    - #### COLUMN_NUMBERS

          public static final int COLUMN_NUMBERS

      Use specified column indices to return generated keys from.
      See Also:
        Constant Field Values

    - #### COLUMN_NAMES

          public static final int COLUMN_NAMES

      Use specified column names to return generated keys from.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### valueOf

          public static int valueOf(java.lang.Object generatedKeysRequest)

      Determines mode of generated keys' gathering.
      Parameters:
        `generatedKeysRequest` - `null` or `false` if generated keys are not needed, `true` if generated keys should be configured automatically, `int[]` to specify column indices to return generated keys from, or `String[]` to specify column names to return generated keys from
      Returns:
        mode for the specified generated keys request